de.esprit.common.gui.comp

## Interface Cancellable

- All Known Subinterfaces:
    ApplicationToolWindow<C>, RecordTypeChooser
  All Known Implementing Classes:
    ABOCreateDialog, ABOEditDialog, ABOFetchDialog, ABOFindDialog, AboutEspritDialog, AbstractABODialog, AbstractCheckBoxOptionDialog, AbstractClientRecordDialog, AbstractFieldDialog, AbstractGroupManagerDialog, AbstractLoginFrame, AbstractNameInputDialog, AbstractOneShotTimer, AbstractPathEditDialog, AbstractRecordDialog, AbstractRecordFrame, AbstractUserManagerDialog, ActivityMonitorDialog, AppLaunchPrefsDialog, ArchiveConfigDialog, BatchTaskConfigDialog, BatchTaskManagerDialog, CalendarDateDialog, CalendarTimestampDialog, CancellableThread, ChangePasswordForUserDialog, ChatToolFrame, ChoosePermissionDialog, ClientActivityMonitorDialog, ClientMessageSendDialog, ClientShutdownDialog, ClientToolDialog, ClientToolFrame, ConfirmDialog, ConnectionLostDialog, CpuLoadConfigDialog, CreateDirectoryDialog, CreateFileDialog, DataSourceListDialog, DBRecordListFrame, DBRecordTableDialog, DBRecordTableFrame, DefaultClientRecordDialog, DefaultFieldEditor, DefaultLoginDialog, DefaultRecordCreateDialog, DefaultRecordEditDialog, DirectoryPathEditor, DumpDialog, EmailConfigDialog, ErrorDialog, EspritClientLoginFrame, FileNameInputDialog, FilePathEditor, FileTransferEntry, FileViewerDialog, FindStringDialog, GroupAssignDialog, GroupCreateDialog, GroupEditDialog, GroupFormDialog, GroupManagerDialog, InfoDialog, InputFileChooserDialog, ListRowDumpDialog, LoadMeterDialog, LogConfigDialog, LogfileListDialog, MemoryMonitorDialog, MessageDialog, ObserveTaskDialog, OutputDirectoryChooserDialog, OutputFileChooserDialog, PasswordChangeDialog, PermissionManagerDialog, RadioButtonOptionDialog, RecordTypeChooserDialog, RemoteTaskFrame, RemoteTextEditorDialog, RenamePathDialog, RootDirectoryChooserDialog, ServerEventRegisterDialog, ServerMemoryMonitorDialog, ServerShutdownDialog, SessionManagerDialog, SetDefaultPasswordDialog, TableEditFrame, TableRowDumpDialog, TankEditDialog, TaskManagerDialog, TaskOptionDialog, TextEditorDialog, TextEditorFrame, TextViewerDialog, TextViewerFrame, ToolDialog, ToolFrame, UserCreateDialog, UserEditDialog, UserFormDialog, UserManagerDialog, WarningDialog, WorkflowManagerDialog, WorkflowMonitorDialog

      public interface Cancellable

  This interface is implemented by Dialogs that can be cancelled.
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Cancels the Dialog.
    `boolean` | `wasCancelled()` Tells whether a Dialog has been cancelled.

- - ### Method Detail

    - #### wasCancelled

          boolean wasCancelled()

      Tells whether a Dialog has been cancelled.

    - #### cancel

          void cancel()

      Cancels the Dialog.

Copyright © 2014 EsprIT-Systems. All Rights Reserved.